Bug 45184 - octave SRPM needs build dependency on libtermcap-devel
Summary: octave SRPM needs build dependency on libtermcap-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: octave   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-20 19:52 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 13:27:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-20 19:52:06 UTC
Description of Problem: with the 7.1 product, you cannot build the octave
SRPM without having libtermcap-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/octave*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
libtermcap-devel rpm, the octave SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e libtermcap-devel
   2. rpm -Uvh <tree-path>/SRPMS/octave*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/octave*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/libtermcap-devel*
   5. rpm -ba /usr/src/redhat/SPECS/octave*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the octave SRPM cannot be built without installing the
libtermcap-devel RPM.

Comment 1 Trond Eivind Glomsrxd 2001-06-20 20:37:09 UTC
Will fix.

Comment 2 Trond Eivind Glomsrxd 2001-06-22 12:58:50 UTC
Fixed in octave-2.1.34-3


Note You need to log in before you can comment on or make changes to this bug.